%define unmangled_name setuptools_scm_git_archive
%define mangled_name python3-setuptools_scm_git_archive
%define version 1.0
%define unmangled_version 1.0
%define unmangled_version 1.0
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: setuptools_scm plugin for git archives
Name: %{mangled_name}
BuildRequires: python3-setuptools_scm >= 3.0.0
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
Patch0: no-scm-version.diff
Patch1: require-setuptools.diff
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Changaco <changaco@changaco.oy.lc>
Url: https://github.com/Changaco/setuptools_scm_git_archive/
# Rewritten BuildRequires
%description
This is a `setuptools_scm <https://pypi.python.org/pypi/setuptools_scm>`_ plugin
that adds support for git archives (for example the ones GitHub automatically
generates).

Note that it only works for archives of tagged commits (because git currently
lacks a format option equivalent to ``git describe --tags``).

Usage
-----

Add ``'setuptools_scm_git_archive'`` to the ``setup_requires`` parameter in your
project's ``setup.py`` file:

.. code:: python

    setup(
        ...,
        use_scm_version=True,
        setup_requires=['setuptools_scm', 'setuptools_scm_git_archive'],
        ...,
    )

Create a ``.git_archival.txt`` file with the following content::

    ref-names: $Format:%D$

Then add this line to the ``.gitattributes`` file::

    .git_archival.txt  export-subst

Finally, don't forget to commit these two files.


%prep
%setup -n %{unmangled_name}-%{unmangled_version} -n %{unmangled_name}-%{unmangled_version}
patch -p0 --binary < %{_sourcedir}/no-scm-version.diff
patch -p0 --binary < %{_sourcedir}/require-setuptools.diff

%build
python3 setup.py build

%install
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
